goog.provide('cljs.nodejs');
goog.require('cljs.core');
cljs.nodejs.require = require;
cljs.nodejs.process = process;
cljs.nodejs.enable_util_print_BANG_ = (function cljs$nodejs$enable_util_print_BANG_(){
cljs.core._STAR_print_newline_STAR_ = false;

cljs.core._STAR_print_fn_STAR_ = (function() { 
var G__32901__delegate = function (args){
return console.log.apply(console,cljs.core.into_array.call(null,args));
};
var G__32901 = function (var_args){
var args = null;
if (arguments.length > 0) {
var G__32902__i = 0, G__32902__a = new Array(arguments.length -  0);
while (G__32902__i < G__32902__a.length) {G__32902__a[G__32902__i] = arguments[G__32902__i + 0]; ++G__32902__i;}
  args = new cljs.core.IndexedSeq(G__32902__a,0,null);
} 
return G__32901__delegate.call(this,args);};
G__32901.cljs$lang$maxFixedArity = 0;
G__32901.cljs$lang$applyTo = (function (arglist__32903){
var args = cljs.core.seq(arglist__32903);
return G__32901__delegate(args);
});
G__32901.cljs$core$IFn$_invoke$arity$variadic = G__32901__delegate;
return G__32901;
})()
;

cljs.core._STAR_print_err_fn_STAR_ = (function() { 
var G__32904__delegate = function (args){
return console.error.apply(console,cljs.core.into_array.call(null,args));
};
var G__32904 = function (var_args){
var args = null;
if (arguments.length > 0) {
var G__32905__i = 0, G__32905__a = new Array(arguments.length -  0);
while (G__32905__i < G__32905__a.length) {G__32905__a[G__32905__i] = arguments[G__32905__i + 0]; ++G__32905__i;}
  args = new cljs.core.IndexedSeq(G__32905__a,0,null);
} 
return G__32904__delegate.call(this,args);};
G__32904.cljs$lang$maxFixedArity = 0;
G__32904.cljs$lang$applyTo = (function (arglist__32906){
var args = cljs.core.seq(arglist__32906);
return G__32904__delegate(args);
});
G__32904.cljs$core$IFn$_invoke$arity$variadic = G__32904__delegate;
return G__32904;
})()
;

return null;
});
